## samba4 4.0.0~alpha17.dfsg2

=== debian/changelog ===
samba4 (4.0.0~alpha17.dfsg2-1) unstable; urgency=low

  * Remove more non-free IETF files. Closes: #547280
  * Rebuild for newer version of ldb.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Dec 2011 01:41:49 +0100

samba4 (4.0.0~alpha17.dfsg1-3) unstable; urgency=low

  * Install libmemcache.so, libutil_str.so and various other private libraries
    required by the samba3 module in python-samba. LP: #889864, LP: #889869

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Nov 2011 17:03:29 +0100

samba4 (4.0.0~alpha17.dfsg1-2) unstable; urgency=low

  * Include upstart file to eliminate delta with Ubuntu.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 16:13:58 +0100

samba4 (4.0.0~alpha17.dfsg1-1) unstable; urgency=low

  * Strip non-free IETF RFC files. Closes: #547280
  * Rebuild against newer ldb. Closes: #648326
  * Updated Swedish debconf translation. Thanks Martin Bagge.
    Closes: #644942
  * Updated French debconf translation. Thanks Christian Perrier.
    Closes: #644465

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 03:16:37 +0100

samba4 (4.0.0~alpha17-3) unstable; urgency=low

  * Upload to unstable. Closes: #642905
  * Use default python version rather than 2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Sep 2011 00:11:31 +0200

samba4 (4.0.0~alpha17-2) experimental; urgency=low

  * In -dev package dependencies, depend on a specific version of other
    Samba dev packages.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 Sep 2011 23:10:30 +0200

samba4 (4.0.0~alpha17-1) experimental; urgency=low

  * New upstream release.
  * Add libsmbclient-{raw0,dev} packages, required for winexe.
  * Add libsamba-credentials0 and libsamba-credentials-dev packages for
    new public library for credentials management.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 18 Sep 2011 15:14:42 +0200
